Package org.eclipse.m2m.atl.adt.ui.outline

# Class RenameFrame

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.m2m.atl.adt.ui.outline.RenameFrame

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

public class RenameFrame extends org.eclipse.swt.widgets.Composite

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Composite

`embeddedHandle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`handle`

## Constructor Summary

Constructors
Constructor
Description
`RenameFrame(RenameAction renameAction)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`cancelWidgetSelected(org.eclipse.swt.events.SelectionEvent evt)`
`protected void`
`confirmRename()`
this method is executed when the user confirms the refactoring either by clicking on the Ok button or by pressing enter key
`void`
`initGUI()`
Initializes the GUI.
`protected void`
`okWidgetSelected(org.eclipse.swt.events.SelectionEvent evt)`
`void`
`postInitGUI()`
`void`
`preInitGUI()`
`void`
`tNewNameKeyPressed(org.eclipse.swt.events.KeyEvent key)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isAutoScalable, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeTypedListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RenameFrame

public RenameFrame(RenameAction renameAction)

## Method Details

### initGUI

public void initGUI()
Initializes the GUI. Auto-generated code - any changes you make will disappear.

### preInitGUI

public void preInitGUI()

### postInitGUI

public void postInitGUI()

### cancelWidgetSelected

protected void cancelWidgetSelected(org.eclipse.swt.events.SelectionEvent evt)

### confirmRename

protected void confirmRename()
this method is executed when the user confirms the refactoring either by clicking on the Ok button or by pressing enter key

### okWidgetSelected

protected void okWidgetSelected(org.eclipse.swt.events.SelectionEvent evt)

Parameters:
  `evt` - the selectionEvent

### tNewNameKeyPressed

public void tNewNameKeyPressed(org.eclipse.swt.events.KeyEvent key)